Package twisted :: Package application :: Module internet :: Class UNIXDatagramServer

[frames | no frames]

## Class UNIXDatagramServer

             Service --+
                       |
    _VolatileDataService --+
                           |
             _AbstractServer --+
                               |
                              UNIXDatagramServer

Serve UNIXDatagram clients

Call reactor.listenUNIXDatagram when the service starts, with the arguments given to the constructor. When the service stops, stop listening. See twisted.internet.interfaces for documentation on arguments to the reactor method.

Method Summary
Inherited from _AbstractServer
| ``__init__`(self, *args, **kwargs)`
| ``_getPort`(self)`
| ``privilegedStartService`(self)`
| ``startService`(self)`
| ``stopService`(self)`
Inherited from _VolatileDataService
| ``__getstate__`(self)`
Inherited from Service
| ``disownServiceParent`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`

Class Variable Summary
`str` | `method` = `'UNIXDatagram'`
Inherited from _AbstractServer
`int` | `privileged` = 1
`list` | `volatile` = `['_port']`
Inherited from Service
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Class Variable Details

### method

  Type:
    `str`
  Value:

        'UNIXDatagram'

Generated by Epydoc 2.0 on Wed Feb 25 07:36:55 2004 | http://epydoc.sf.net